Summary: Creates user directories on demand
Name: autodir
Version: 0.99.9
Release: 9%{?dist}
License: GPLv2+
Group: System Environment/Daemons
URL: http://www.intraperson.com/autodir/
Source0: http://downloads.sf.net/intraperson/autodir-%{version}.tar.gz
Source1: autogroup.init
Source2: autohome.init
Source3: autogroup.sysconfig
Source4: autohome.sysconfig
Patch0: autodir-0.96.0-cflags.patch
Patch1: autodir-0.99.8-auto_fs4.patch
Patch2: autodir-0.99.9-noskeldirmodforce.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/service, /sbin/chkconfig
Requires(postun): /sbin/service
BuildRequires: libcap-devel, libtool, libtool-ltdl-devel

%description
Autodir offers a simple and effective means to create directories like home
directories in a transparent manner. It relies on the autofs protocol for its
operation.


%prep
%setup -q
%patch0 -p1 -b .cflags
%patch1 -p1 -b .auto_fs4
%patch2 -p1 -b .noskeldirmodforce


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

%{__install} -D -m 0755 %{SOURCE1} \
    %{buildroot}%{_sysconfdir}/rc.d/init.d/autogroup
%{__install} -D -m 0755 %{SOURCE2} \
    %{buildroot}%{_sysconfdir}/rc.d/init.d/autohome

%{__install} -D -m 0644 %{SOURCE3} \
    %{buildroot}%{_sysconfdir}/sysconfig/autogroup
%{__install} -D -m 0644 %{SOURCE4} \
    %{buildroot}%{_sysconfdir}/sysconfig/autohome
# Fix for lib64
%{__perl} -pi -e 's|/usr/lib/autodir|%{_libdir}/autodir|g' \
    %{buildroot}%{_sysconfdir}/sysconfig/*


%clean
%{__rm} -rf %{buildroot}


%post
if [ $1 -eq 1 ]; then
    /sbin/chkconfig --add autogroup
    /sbin/chkconfig --add autohome
fi

%preun
if [ $1 -eq 0 ]; then
    /sbin/service autogroup stop &>/dev/null || :
    /sbin/service autohome stop &>/dev/null || :
    /sbin/chkconfig --del autogroup
    /sbin/chkconfig --del autohome
fi

%postun
if [ $1 -ge 1 ]; then
    /sbin/service autogroup condrestart &>/dev/null || :
    /sbin/service autohome condrestart &>/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%config(noreplace) %{_sysconfdir}/sysconfig/autogroup
%config(noreplace) %{_sysconfdir}/sysconfig/autohome
%{_sysconfdir}/rc.d/init.d/autogroup
%{_sysconfdir}/rc.d/init.d/autohome
%{_sbindir}/autodir
%{_libdir}/autodir/
%exclude %{_libdir}/autodir/*.a
%exclude %{_libdir}/autodir/*.la


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 11 2009 Matthias Saou <http://freshrpms.net/> 0.99.9-8
- Finish updating init scripts (#246873).

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 30 2008 Caolán McNamara <caolanm@redhat.com> - 0.99.9-6
- rebuild for dependencies

* Thu Sep 18 2008 Matthias Saou <http://freshrpms.net/> 0.99.9-6
- Include patch to remove forced mode 700 on dirs installed from skel.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org>
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Matthias Saou <http://freshrpms.net/> 0.99.9-4
- Rebuild for new BuildID feature.
- Start LSB init script update, exit codes and commands still need work.

* Fri Aug  3 2007 Matthias Saou <http://freshrpms.net/> 0.99.9-3
- Update License field.

* Mon May  7 2007 Matthias Saou <http://freshrpms.net/> 0.99.9-2
- Add missing scriplets requirements.
- Update sf.net source URL.
- Switch away from %%makeinstall.

* Wed Apr 18 2007 Matthias Saou <http://freshrpms.net/> 0.99.9-1
- Update to 0.99.9.

* Mon Mar 19 2007 Matthias Saou <http://freshrpms.net/> 0.99.8-2
- Minor spec file and init scripts cleanups.
- Add missing default options to the sysconfig files to silence services.
- Include patch from Debian to get "old" autofs headers and actually work.

* Thu Feb  1 2007 Matthias Saou <http://freshrpms.net/> 0.99.8-1
- Update to 0.99.8.

* Tue Mar 21 2006 Matthias Saou <http://freshrpms.net/> 0.99.3-1
- Update to 0.99.3.

* Mon Feb  6 2006 Matthias Saou <http://freshrpms.net/> 0.99.1-1
- Update to 0.99.1.

* Fri Dec 16 2005 Matthias Saou <http://freshrpms.net/> 0.99.0-1
- Update to 0.99.0.

* Wed Nov  2 2005 Matthias Saou <http://freshrpms.net/> 0.96.2-1
- Update to 0.96.2.

* Fri Oct 28 2005 Matthias Saou <http://freshrpms.net/> 0.96.1-1
- Update to 0.96.1.
- Add newly required libtool-ltdl-devel build dependency.

* Wed Aug 24 2005 Matthias Saou <http://freshrpms.net/> 0.96.0-1
- Initial RPM release.

